package com.yd.csf.api.service;

import com.yd.common.result.Result;
import com.yd.csf.feign.dto.appointment.*;
import com.yd.csf.feign.request.appointment.ApiAppointmentAddRequest;
import com.yd.csf.feign.request.appointment.ApiAppointmentEditRequest;

import java.util.List;

public interface ApiAppointmentCheckService {

    Result checkAddRequest(ApiAppointmentAddRequest request);

    Result checkEditRequest(ApiAppointmentEditRequest request);

    Result checkCustomerAndFna(ApiAppointmentInfoDto dto, String tipStr);

    Result checkEditApiAppointmentInfoDto(ApiAppointmentInfoDto dto);

    Result checkEditApiProductPlanMainInfoDto(ApiProductPlanMainInfoDto dto);

    Result checkAddApiProductPlanAdditionalInfoDtoList(List<ApiProductPlanAdditionalInfoDto> list);

    Result checkEditApiPolicyholderInfoDto(ApiPolicyholderInfoDto dto);

    Result checkEditApiInsurantInfoDto(ApiInsurantInfoDto dto);

    Result checkEditApiBeneficiaryInfoDtoList(List<ApiBeneficiaryInfoDto> list);

    Result checkAddApiBeneficiaryInfoDtoList(List<ApiBeneficiaryInfoDto> list);

    Result checkEditApiSecondHolderInfoDto(ApiSecondHolderInfoDto dto);

    Result checkEditApiProductPlanAdditionalInfoDto(ApiProductPlanAdditionalInfoDto dto);

    Result checkEditApiBeneficiaryInfoDto(ApiBeneficiaryInfoDto dto);
}
